System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added

The IHasXmlNode interface provides an interface that enables a class to return an from the current context or position. It is implemented by objects that operate over classes that have nodes. For example, if the XPathNavigator object is created by an , you can use the method to return the XmlNode representing the current position of the navigator.

Enables a class to return an from the current context or position.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode

  The following C# code uses GetNode to access a node the is currently positioned on.

  `XmlDocument doc = new XmlDocument(); doc.Load("books.xml"); XPathNavigator nav = doc.CreateNavigator(); XmlNode node = ((IHasXmlNode)nav).GetNode(); Console.WriteLine(node.LocalName); //You can edit the returned XmlNode.`

  Returns the for the current position.

  The XmlNode for the current position.